Historical funding rates
curl --request GET \
--url https://futures.kraken.com/derivatives/api/v3/historical-funding-ratesimport requests
url = "https://futures.kraken.com/derivatives/api/v3/historical-funding-rates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://futures.kraken.com/derivatives/api/v3/historical-funding-rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/historical-funding-rates"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"result": "success",
"serverTime": "2022-06-28T09:29:04.243Z",
"rates": [
{
"timestamp": "2022-06-28T00:00:00.000Z",
"fundingRate": -8.15861558e-10,
"relativeFundingRate": -0.000016898883333333
},
{
"timestamp": "2022-06-28T04:00:00.000Z",
"fundingRate": -2.6115278e-11,
"relativeFundingRate": -5.40935416667e-7
},
{
"timestamp": "2022-06-28T08:00:00.000Z",
"fundingRate": -4.08356853e-10,
"relativeFundingRate": -0.000008521190625
}
]
}{
"error": "accountInactive",
"result": "error",
"serverTime": "2020-08-27T17:03:33.196Z",
"errors": [
"accountInactive"
]
}Historical Data
Historical funding rates
Returns list of historical funding rates for given market.
GET
/
historical-funding-rates
Historical funding rates
curl --request GET \
--url https://futures.kraken.com/derivatives/api/v3/historical-funding-ratesimport requests
url = "https://futures.kraken.com/derivatives/api/v3/historical-funding-rates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://futures.kraken.com/derivatives/api/v3/historical-funding-rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/historical-funding-rates"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"result": "success",
"serverTime": "2022-06-28T09:29:04.243Z",
"rates": [
{
"timestamp": "2022-06-28T00:00:00.000Z",
"fundingRate": -8.15861558e-10,
"relativeFundingRate": -0.000016898883333333
},
{
"timestamp": "2022-06-28T04:00:00.000Z",
"fundingRate": -2.6115278e-11,
"relativeFundingRate": -5.40935416667e-7
},
{
"timestamp": "2022-06-28T08:00:00.000Z",
"fundingRate": -4.08356853e-10,
"relativeFundingRate": -0.000008521190625
}
]
}{
"error": "accountInactive",
"result": "error",
"serverTime": "2020-08-27T17:03:33.196Z",
"errors": [
"accountInactive"
]
}Query Parameters
Market symbol
Pattern:
[A-Z0-9_.]+Example:
"PF_BTCUSD"
Response
Historical funding rates for given market.
A list containing structures with historical funding rate information. The list is sorted ascending by timestamp.
Show child attributes
Show child attributes
Available options:
success Example:
"success"
Server time in Coordinated Universal Time (UTC)
Example:
"2020-08-27T17:03:33.196Z"
Was this page helpful?